Package org.eclipse.net4j.db.jdbc

## Class DelegatingPreparedStatement

- java.lang.Object
- - org.eclipse.net4j.db.jdbc.DelegatingPreparedStatement

- All Implemented Interfaces:
    `java.lang.AutoCloseable`, `java.sql.PreparedStatement`, `java.sql.Statement`, `java.sql.Wrapper`

      public abstract class DelegatingPreparedStatement
      extends java.lang.Object
      implements java.sql.PreparedStatement

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from interface java.sql.Statement

      `CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DelegatingPreparedStatement​(java.sql.PreparedStatement delegate, java.sql.Connection connection)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addBatch()` |
    `void` | `addBatch​(java.lang.String sql)` |
    `void` | `cancel()` |
    `void` | `clearBatch()` |
    `void` | `clearParameters()` |
    `void` | `clearWarnings()` |
    `void` | `close()` |
    `void` | `closeOnCompletion()` | Since JDK 1.7.
    `boolean` | `execute()` |
    `boolean` | `execute​(java.lang.String sql)` |
    `boolean` | `execute​(java.lang.String sql, int autoGeneratedKeys)` |
    `boolean` | `execute​(java.lang.String sql, int[] columnIndexes)` |
    `boolean` | `execute​(java.lang.String sql, java.lang.String[] columnNames)` |
    `int[]` | `executeBatch()` |
    `abstract java.sql.ResultSet` | `executeQuery()` |
    `abstract java.sql.ResultSet` | `executeQuery​(java.lang.String sql)` |
    `int` | `executeUpdate()` |
    `int` | `executeUpdate​(java.lang.String sql)` |
    `int` | `executeUpdate​(java.lang.String sql, int autoGeneratedKeys)` |
    `int` | `executeUpdate​(java.lang.String sql, int[] columnIndexes)` |
    `int` | `executeUpdate​(java.lang.String sql, java.lang.String[] columnNames)` |
    `java.sql.Connection` | `getConnection()` |
    `java.sql.PreparedStatement` | `getDelegate()` |
    `int` | `getFetchDirection()` |
    `int` | `getFetchSize()` |
    `java.sql.ResultSet` | `getGeneratedKeys()` |
    `int` | `getMaxFieldSize()` |
    `int` | `getMaxRows()` |
    `java.sql.ResultSetMetaData` | `getMetaData()` |
    `boolean` | `getMoreResults()` |
    `boolean` | `getMoreResults​(int current)` |
    `java.sql.ParameterMetaData` | `getParameterMetaData()` |
    `int` | `getQueryTimeout()` |
    `abstract java.sql.ResultSet` | `getResultSet()` |
    `int` | `getResultSetConcurrency()` |
    `int` | `getResultSetHoldability()` |
    `int` | `getResultSetType()` |
    `int` | `getUpdateCount()` |
    `java.sql.SQLWarning` | `getWarnings()` |
    `boolean` | `isClosed()` | Since JDK 1.6.
    `boolean` | `isCloseOnCompletion()` | Since JDK 1.7.
    `boolean` | `isPoolable()` | Since JDK 1.6.
    `boolean` | `isWrapperFor​(java.lang.Class<?> iface)` | Since JDK 1.6.
    `void` | `setArray​(int parameterIndex, java.sql.Array x)` |
    `void` | `setAsciiStream​(int parameterIndex, java.io.InputStream x)` | Since JDK 1.6.
    `void` | `setAsciiStream​(int parameterIndex, java.io.InputStream x, int length)` |
    `void` | `setAsciiStream​(int parameterIndex, java.io.InputStream x, long length)` | Since JDK 1.6.
    `void` | `setBigDecimal​(int parameterIndex, java.math.BigDecimal x)` |
    `void` | `setBinaryStream​(int parameterIndex, java.io.InputStream x)` | Since JDK 1.6.
    `void` | `setBinaryStream​(int parameterIndex, java.io.InputStream x, int length)` |
    `void` | `setBinaryStream​(int parameterIndex, java.io.InputStream x, long length)` | Since JDK 1.6.
    `void` | `setBlob​(int parameterIndex, java.io.InputStream inputStream)` | Since JDK 1.6.
    `void` | `setBlob​(int parameterIndex, java.io.InputStream inputStream, long length)` | Since JDK 1.6.
    `void` | `setBlob​(int parameterIndex, java.sql.Blob x)` |
    `void` | `setBoolean​(int parameterIndex, boolean x)` |
    `void` | `setByte​(int parameterIndex, byte x)` |
    `void` | `setBytes​(int parameterIndex, byte[] x)` |
    `void` | `setCharacterStream​(int parameterIndex, java.io.Reader reader)` | Since JDK 1.6.
    `void` | `setCharacterStream​(int parameterIndex, java.io.Reader reader, int length)` |
    `void` | `setCharacterStream​(int parameterIndex, java.io.Reader reader, long length)` | Since JDK 1.6.
    `void` | `setClob​(int parameterIndex, java.io.Reader reader)` | Since JDK 1.6.
    `void` | `setClob​(int parameterIndex, java.io.Reader reader, long length)` | Since JDK 1.6.
    `void` | `setClob​(int parameterIndex, java.sql.Clob x)` |
    `void` | `setCursorName​(java.lang.String name)` |
    `void` | `setDate​(int parameterIndex, java.sql.Date x)` |
    `void` | `setDate​(int parameterIndex, java.sql.Date x, java.util.Calendar cal)` |
    `void` | `setDouble​(int parameterIndex, double x)` |
    `void` | `setEscapeProcessing​(boolean enable)` |
    `void` | `setFetchDirection​(int direction)` |
    `void` | `setFetchSize​(int rows)` |
    `void` | `setFloat​(int parameterIndex, float x)` |
    `void` | `setInt​(int parameterIndex, int x)` |
    `void` | `setLong​(int parameterIndex, long x)` |
    `void` | `setMaxFieldSize​(int max)` |
    `void` | `setMaxRows​(int max)` |
    `void` | `setNCharacterStream​(int parameterIndex, java.io.Reader value)` | Since JDK 1.6.
    `void` | `setNCharacterStream​(int parameterIndex, java.io.Reader value, long length)` | Since JDK 1.6.
    `void` | `setNClob​(int parameterIndex, java.io.Reader reader)` | Since JDK 1.6.
    `void` | `setNClob​(int parameterIndex, java.io.Reader reader, long length)` | Since JDK 1.6.
    `void` | `setNClob​(int parameterIndex, java.sql.NClob value)` | Since JDK 1.6.
    `void` | `setNString​(int parameterIndex, java.lang.String value)` | Since JDK 1.6.
    `void` | `setNull​(int parameterIndex, int sqlType)` |
    `void` | `setNull​(int parameterIndex, int sqlType, java.lang.String typeName)` |
    `void` | `setObject​(int parameterIndex, java.lang.Object x)` |
    `void` | `setObject​(int parameterIndex, java.lang.Object x, int targetSqlType)` |
    `void` | `setObject​(int parameterIndex, java.lang.Object x, int targetSqlType, int scaleOrLength)` |
    `void` | `setPoolable​(boolean poolable)` | Since JDK 1.6.
    `void` | `setQueryTimeout​(int seconds)` |
    `void` | `setRef​(int parameterIndex, java.sql.Ref x)` |
    `void` | `setRowId​(int parameterIndex, java.sql.RowId x)` | Since JDK 1.6.
    `void` | `setShort​(int parameterIndex, short x)` |
    `void` | `setSQLXML​(int parameterIndex, java.sql.SQLXML xmlObject)` | Since JDK 1.6.
    `void` | `setString​(int parameterIndex, java.lang.String x)` |
    `void` | `setTime​(int parameterIndex, java.sql.Time x)` |
    `void` | `setTime​(int parameterIndex, java.sql.Time x, java.util.Calendar cal)` |
    `void` | `setTimestamp​(int parameterIndex, java.sql.Timestamp x)` |
    `void` | `setTimestamp​(int parameterIndex, java.sql.Timestamp x, java.util.Calendar cal)` |
    `void` | `setUnicodeStream​(int parameterIndex, java.io.InputStream x, int length)` | Deprecated.
    `void` | `setURL​(int parameterIndex, java.net.URL x)` |
    `<T> T` | `unwrap​(java.lang.Class<T> iface)` | Since JDK 1.6.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.sql.PreparedStatement

      `executeLargeUpdate, setObject, setObject`

    - ### Methods inherited from interface java.sql.Statement

      `enquoteIdentifier, enquoteLiteral, enquoteNCharLiteral, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, getLargeMaxRows, getLargeUpdateCount, isSimpleIdentifier, setLargeMaxRows`

- - ### Constructor Detail

    - #### DelegatingPreparedStatement

          public DelegatingPreparedStatement​(java.sql.PreparedStatement delegate,
                                             java.sql.Connection connection)

  - ### Method Detail

    - #### getDelegate

          public final java.sql.PreparedStatement getDelegate()

    - #### getConnection

          public java.sql.Connection getConnection()
                                            throws java.sql.SQLException

      Specified by:
        `getConnection` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getResultSet

          public abstract java.sql.ResultSet getResultSet()
                                                   throws java.sql.SQLException

      Specified by:
        `getResultSet` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeQuery

          public abstract java.sql.ResultSet executeQuery()
                                                   throws java.sql.SQLException

      Specified by:
        `executeQuery` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### executeQuery

          public abstract java.sql.ResultSet executeQuery​(java.lang.String sql)
                                                   throws java.sql.SQLException

      Specified by:
        `executeQuery` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getGeneratedKeys

          public java.sql.ResultSet getGeneratedKeys()
                                              throws java.sql.SQLException

      Specified by:
        `getGeneratedKeys` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### close

          public void close()
                     throws java.sql.SQLException

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeUpdate

          public int executeUpdate​(java.lang.String sql)
                            throws java.sql.SQLException

      Specified by:
        `executeUpdate` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeUpdate

          public int executeUpdate()
                            throws java.sql.SQLException

      Specified by:
        `executeUpdate` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNull

          public void setNull​(int parameterIndex,
                              int sqlType)
                       throws java.sql.SQLException

      Specified by:
        `setNull` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### getMaxFieldSize

          public int getMaxFieldSize()
                              throws java.sql.SQLException

      Specified by:
        `getMaxFieldSize` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setBoolean

          public void setBoolean​(int parameterIndex,
                                 boolean x)
                          throws java.sql.SQLException

      Specified by:
        `setBoolean` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setMaxFieldSize

          public void setMaxFieldSize​(int max)
                               throws java.sql.SQLException

      Specified by:
        `setMaxFieldSize` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setByte

          public void setByte​(int parameterIndex,
                              byte x)
                       throws java.sql.SQLException

      Specified by:
        `setByte` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setShort

          public void setShort​(int parameterIndex,
                               short x)
                        throws java.sql.SQLException

      Specified by:
        `setShort` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### getMaxRows

          public int getMaxRows()
                         throws java.sql.SQLException

      Specified by:
        `getMaxRows` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setInt

          public void setInt​(int parameterIndex,
                             int x)
                      throws java.sql.SQLException

      Specified by:
        `setInt` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setMaxRows

          public void setMaxRows​(int max)
                          throws java.sql.SQLException

      Specified by:
        `setMaxRows` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setLong

          public void setLong​(int parameterIndex,
                              long x)
                       throws java.sql.SQLException

      Specified by:
        `setLong` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setEscapeProcessing

          public void setEscapeProcessing​(boolean enable)
                                   throws java.sql.SQLException

      Specified by:
        `setEscapeProcessing` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setFloat

          public void setFloat​(int parameterIndex,
                               float x)
                        throws java.sql.SQLException

      Specified by:
        `setFloat` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### getQueryTimeout

          public int getQueryTimeout()
                              throws java.sql.SQLException

      Specified by:
        `getQueryTimeout` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setDouble

          public void setDouble​(int parameterIndex,
                                double x)
                         throws java.sql.SQLException

      Specified by:
        `setDouble` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setQueryTimeout

          public void setQueryTimeout​(int seconds)
                               throws java.sql.SQLException

      Specified by:
        `setQueryTimeout` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setBigDecimal

          public void setBigDecimal​(int parameterIndex,
                                    java.math.BigDecimal x)
                             throws java.sql.SQLException

      Specified by:
        `setBigDecimal` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### cancel

          public void cancel()
                      throws java.sql.SQLException

      Specified by:
        `cancel` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setString

          public void setString​(int parameterIndex,
                                java.lang.String x)
                         throws java.sql.SQLException

      Specified by:
        `setString` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### getWarnings

          public java.sql.SQLWarning getWarnings()
                                          throws java.sql.SQLException

      Specified by:
        `getWarnings` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setBytes

          public void setBytes​(int parameterIndex,
                               byte[] x)
                        throws java.sql.SQLException

      Specified by:
        `setBytes` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### clearWarnings

          public void clearWarnings()
                             throws java.sql.SQLException

      Specified by:
        `clearWarnings` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setDate

          public void setDate​(int parameterIndex,
                              java.sql.Date x)
                       throws java.sql.SQLException

      Specified by:
        `setDate` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setCursorName

          public void setCursorName​(java.lang.String name)
                             throws java.sql.SQLException

      Specified by:
        `setCursorName` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setTime

          public void setTime​(int parameterIndex,
                              java.sql.Time x)
                       throws java.sql.SQLException

      Specified by:
        `setTime` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setTimestamp

          public void setTimestamp​(int parameterIndex,
                                   java.sql.Timestamp x)
                            throws java.sql.SQLException

      Specified by:
        `setTimestamp` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### execute

          public boolean execute​(java.lang.String sql)
                          throws java.sql.SQLException

      Specified by:
        `execute` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setAsciiStream

          public void setAsciiStream​(int parameterIndex,
                                     java.io.InputStream x,
                                     int length)
                              throws java.sql.SQLException

      Specified by:
        `setAsciiStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setUnicodeStream

          @Deprecated
          public void setUnicodeStream​(int parameterIndex,
                                       java.io.InputStream x,
                                       int length)
                                throws java.sql.SQLException

      Deprecated.
      Specified by:
        `setUnicodeStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### getUpdateCount

          public int getUpdateCount()
                             throws java.sql.SQLException

      Specified by:
        `getUpdateCount` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getMoreResults

          public boolean getMoreResults()
                                 throws java.sql.SQLException

      Specified by:
        `getMoreResults` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStream

          public void setBinaryStream​(int parameterIndex,
                                      java.io.InputStream x,
                                      int length)
                               throws java.sql.SQLException

      Specified by:
        `setBinaryStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setFetchDirection

          public void setFetchDirection​(int direction)
                                 throws java.sql.SQLException

      Specified by:
        `setFetchDirection` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### clearParameters

          public void clearParameters()
                               throws java.sql.SQLException

      Specified by:
        `clearParameters` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### getFetchDirection

          public int getFetchDirection()
                                throws java.sql.SQLException

      Specified by:
        `getFetchDirection` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public void setObject​(int parameterIndex,
                                java.lang.Object x,
                                int targetSqlType)
                         throws java.sql.SQLException

      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setFetchSize

          public void setFetchSize​(int rows)
                            throws java.sql.SQLException

      Specified by:
        `setFetchSize` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getFetchSize

          public int getFetchSize()
                           throws java.sql.SQLException

      Specified by:
        `getFetchSize` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public void setObject​(int parameterIndex,
                                java.lang.Object x)
                         throws java.sql.SQLException

      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### getResultSetConcurrency

          public int getResultSetConcurrency()
                                      throws java.sql.SQLException

      Specified by:
        `getResultSetConcurrency` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getResultSetType

          public int getResultSetType()
                               throws java.sql.SQLException

      Specified by:
        `getResultSetType` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### addBatch

          public void addBatch​(java.lang.String sql)
                        throws java.sql.SQLException

      Specified by:
        `addBatch` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### clearBatch

          public void clearBatch()
                          throws java.sql.SQLException

      Specified by:
        `clearBatch` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### execute

          public boolean execute()
                          throws java.sql.SQLException

      Specified by:
        `execute` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### executeBatch

          public int[] executeBatch()
                             throws java.sql.SQLException

      Specified by:
        `executeBatch` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### addBatch

          public void addBatch()
                        throws java.sql.SQLException

      Specified by:
        `addBatch` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStream

          public void setCharacterStream​(int parameterIndex,
                                         java.io.Reader reader,
                                         int length)
                                  throws java.sql.SQLException

      Specified by:
        `setCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setRef

          public void setRef​(int parameterIndex,
                             java.sql.Ref x)
                      throws java.sql.SQLException

      Specified by:
        `setRef` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public void setBlob​(int parameterIndex,
                              java.sql.Blob x)
                       throws java.sql.SQLException

      Specified by:
        `setBlob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public void setClob​(int parameterIndex,
                              java.sql.Clob x)
                       throws java.sql.SQLException

      Specified by:
        `setClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### getMoreResults

          public boolean getMoreResults​(int current)
                                 throws java.sql.SQLException

      Specified by:
        `getMoreResults` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setArray

          public void setArray​(int parameterIndex,
                               java.sql.Array x)
                        throws java.sql.SQLException

      Specified by:
        `setArray` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### getMetaData

          public java.sql.ResultSetMetaData getMetaData()
                                                 throws java.sql.SQLException

      Specified by:
        `getMetaData` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setDate

          public void setDate​(int parameterIndex,
                              java.sql.Date x,
                              java.util.Calendar cal)
                       throws java.sql.SQLException

      Specified by:
        `setDate` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### executeUpdate

          public int executeUpdate​(java.lang.String sql,
                                   int autoGeneratedKeys)
                            throws java.sql.SQLException

      Specified by:
        `executeUpdate` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setTime

          public void setTime​(int parameterIndex,
                              java.sql.Time x,
                              java.util.Calendar cal)
                       throws java.sql.SQLException

      Specified by:
        `setTime` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### executeUpdate

          public int executeUpdate​(java.lang.String sql,
                                   int[] columnIndexes)
                            throws java.sql.SQLException

      Specified by:
        `executeUpdate` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setTimestamp

          public void setTimestamp​(int parameterIndex,
                                   java.sql.Timestamp x,
                                   java.util.Calendar cal)
                            throws java.sql.SQLException

      Specified by:
        `setTimestamp` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNull

          public void setNull​(int parameterIndex,
                              int sqlType,
                              java.lang.String typeName)
                       throws java.sql.SQLException

      Specified by:
        `setNull` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### executeUpdate

          public int executeUpdate​(java.lang.String sql,
                                   java.lang.String[] columnNames)
                            throws java.sql.SQLException

      Specified by:
        `executeUpdate` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### execute

          public boolean execute​(java.lang.String sql,
                                 int autoGeneratedKeys)
                          throws java.sql.SQLException

      Specified by:
        `execute` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setURL

          public void setURL​(int parameterIndex,
                             java.net.URL x)
                      throws java.sql.SQLException

      Specified by:
        `setURL` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### getParameterMetaData

          public java.sql.ParameterMetaData getParameterMetaData()
                                                          throws java.sql.SQLException

      Specified by:
        `getParameterMetaData` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### execute

          public boolean execute​(java.lang.String sql,
                                 int[] columnIndexes)
                          throws java.sql.SQLException

      Specified by:
        `execute` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### execute

          public boolean execute​(java.lang.String sql,
                                 java.lang.String[] columnNames)
                          throws java.sql.SQLException

      Specified by:
        `execute` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getResultSetHoldability

          public int getResultSetHoldability()
                                      throws java.sql.SQLException

      Specified by:
        `getResultSetHoldability` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public void setObject​(int parameterIndex,
                                java.lang.Object x,
                                int targetSqlType,
                                int scaleOrLength)
                         throws java.sql.SQLException

      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### isWrapperFor

          public boolean isWrapperFor​(java.lang.Class<?> iface)
                               throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `isWrapperFor` in interface `java.sql.Wrapper`
      Throws:
        `java.sql.SQLException`

    - #### unwrap

          public <T> T unwrap​(java.lang.Class<T> iface)
                       throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `unwrap` in interface `java.sql.Wrapper`
      Throws:
        `java.sql.SQLException`

    - #### setRowId

          public void setRowId​(int parameterIndex,
                               java.sql.RowId x)
                        throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `setRowId` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNString

          public void setNString​(int parameterIndex,
                                 java.lang.String value)
                          throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `setNString` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNCharacterStream

          public void setNCharacterStream​(int parameterIndex,
                                          java.io.Reader value,
                                          long length)
                                   throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `setNCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public void setNClob​(int parameterIndex,
                               java.sql.NClob value)
                        throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `setNClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public void setClob​(int parameterIndex,
                              java.io.Reader reader,
                              long length)
                       throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `setClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public void setBlob​(int parameterIndex,
                              java.io.InputStream inputStream,
                              long length)
                       throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `setBlob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### isClosed

          public boolean isClosed()
                           throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `isClosed` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setPoolable

          public void setPoolable​(boolean poolable)
                           throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `setPoolable` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public void setNClob​(int parameterIndex,
                               java.io.Reader reader,
                               long length)
                        throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `setNClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### isPoolable

          public boolean isPoolable()
                             throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `isPoolable` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setSQLXML

          public void setSQLXML​(int parameterIndex,
                                java.sql.SQLXML xmlObject)
                         throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `setSQLXML` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setAsciiStream

          public void setAsciiStream​(int parameterIndex,
                                     java.io.InputStream x,
                                     long length)
                              throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `setAsciiStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStream

          public void setBinaryStream​(int parameterIndex,
                                      java.io.InputStream x,
                                      long length)
                               throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `setBinaryStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStream

          public void setCharacterStream​(int parameterIndex,
                                         java.io.Reader reader,
                                         long length)
                                  throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `setCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setAsciiStream

          public void setAsciiStream​(int parameterIndex,
                                     java.io.InputStream x)
                              throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `setAsciiStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStream

          public void setBinaryStream​(int parameterIndex,
                                      java.io.InputStream x)
                               throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `setBinaryStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStream

          public void setCharacterStream​(int parameterIndex,
                                         java.io.Reader reader)
                                  throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `setCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNCharacterStream

          public void setNCharacterStream​(int parameterIndex,
                                          java.io.Reader value)
                                   throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `setNCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public void setClob​(int parameterIndex,
                              java.io.Reader reader)
                       throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `setClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public void setBlob​(int parameterIndex,
                              java.io.InputStream inputStream)
                       throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `setBlob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public void setNClob​(int parameterIndex,
                               java.io.Reader reader)
                        throws java.sql.SQLException

      Since JDK 1.6.
      Specified by:
        `setNClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### closeOnCompletion

          public void closeOnCompletion()
                                 throws java.sql.SQLException

      Since JDK 1.7.
      Specified by:
        `closeOnCompletion` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### isCloseOnCompletion

          public boolean isCloseOnCompletion()
                                      throws java.sql.SQLException

      Since JDK 1.7.
      Specified by:
        `isCloseOnCompletion` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`